WordPress.org

Make WordPress Core

Changeset 50299


Ignore:
Timestamp:
02/12/2021 04:36:14 PM (8 months ago)
Author:
desrosj
Message:

Build/Test Tools: Run xDebug tests on PHP 8.0.

The PHP 8 Docker container for the local WordPress environment now contains xDebug 3.x (the version required for running on PHP 8), so the xdebug test group can now be run.

See #50401, #51802.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/.github/workflows/phpunit-tests.yml

    r50298 r50299  
    270270        run: npm run test:${{ env.PHPUNIT_SCRIPT }} -- --verbose -c phpunit.xml.dist --group restapi-jsclient
    271271
    272       # Xdebug supports PHP 8 only from version 3.0, which is not released yet.
    273       # Once Xdebug 3.0 is released and included in the Docker image, the IF condition should be removed.
    274272      # __fakegroup__ is excluded to force PHPUnit to ignore the <exclude> settings in phpunit.xml.dist.
    275273      - name: Run (xDebug) tests
    276         if: ${{ env.LOCAL_PHP != '8.0-fpm' }}
    277         run: LOCAL_PHP_XDEBUG=true npm run test:php -- -v --group xdebug --exclude-group __fakegroup__
     274        run: LOCAL_PHP_XDEBUG=true npm run test:${{ env.PHPUNIT_SCRIPT }} -- -v --group xdebug --exclude-group __fakegroup__
    278275
    279276      - name: Checkout the WordPress Test Reporter
Note: See TracChangeset for help on using the changeset viewer.